///home/berryj/link/bin/genMethods "-g" "-t" "MBinGraph" "-r" "MHyperGraph" "-I" "LINK/graph/HyperGraph.h" "-I" "LINK/graph/BinGraph.h" "-y" "display_graph" "-w" "free_graph" "-d" "graph" "-f" "___mBinGraph" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/graph/HyperGraph.h>

#include <LINK/graph/BinGraph.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>

void display_graph(SCM, SCM, int);
void free_graph(SCM);

typedef MBinGraph _MBinGraph;

#define _MBinGraphDATA(x) ((MBinGraph*) (EXTDATA(x)))
#define _MBinGraphIS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MBinGraph >::type))
#define _MBinGraphISNT_DATA(x) (!_MBinGraphIS_DATA(x))

#define _MBinGraphCXX_DATA(x) (*(MBinGraph*) (EXTDATA(VAL(x))))
#define _MBinGraphCXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MBinGraph >::type))
#define _MBinGraphCXX_ISNT_DATA(x) (!_MBinGraphCXX_IS_DATA(x))


PRIMITIVE STk_init____mBinGraph()
{
	Wrapper<_MBinGraph>::type = STk_new_CXXwrapper_id(
			Wrapper<_MBinGraph>::name, 
			Wrapper<MHyperGraph >::name,
			(void (*)(SCM x, SCM port, int mode))
			display_graph,
			(void (*)(SCM x))0,
			(void (*)(SCM x))free_graph);
	Tcl_InitHashTable(&Register<_MBinGraph>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra___mBinGraphMethods(void);

PRIMITIVE STk_init_methods____mBinGraph()
{
	genExtra___mBinGraphMethods();
	return UNDEFINED;
}
